Last Comment Bug 752864 - Intermittent t1204-reset-00-c-o-test.html | image comparison (==)
: Intermittent t1204-reset-00-c-o-test.html | image comparison (==)
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: 15 Branch
: x86_64 Linux
: -- normal (vote)
: mozilla19
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-05-08 04:23 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed
fixed


Attachments
reftest log (14.52 KB, text/plain)
2012-05-08 04:23 PDT, Ed Morley [:emorley]
no flags Details
patch (1.65 KB, patch)
2012-10-27 17:03 PDT, Nathan Froyd [:froydnj]
dholbert: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2012-05-08 04:23:40 PDT
Created attachment 621933 [details]
reftest log

Rev3 Fedora 12x64 mozilla-inbound pgo test reftest on 2012-05-07 19:11:01 PDT for push 7d96ff6113c7

slave: talos-r3-fed64-024

https://tbpl.mozilla.org/php/getParsedLog.php?id=11552429&tree=Mozilla-Inbound

{
REFTEST TEST-START | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-test.html | 3797 / 7597 (49%)
REFTEST TEST-START | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-reference.html | 3797 / 7597 (49%)
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-test.html | image comparison (==)
...
REFTEST number of differing pixels: 176 max difference: 255
REFTEST INFO | Saved log: START file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-test.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: START file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-reference.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
}
Comment 1 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2012-05-08 05:35:38 PDT
For the record, this test is among the oldest reftests.  If this happens again, we should look at the regression range.
Comment 2 Treeherder Robot 2012-10-16 12:02:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=16164767&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test reftest on 2012-10-16 11:07:32
slave: talos-r3-xp-046

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-test.html | image comparison (==), max difference: 255, number of differing pixels: 101
Comment 3 Treeherder Robot 2012-10-26 15:27:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=16500996&tree=Fx-Team
Rev3 WINNT 5.1 fx-team debug test reftest on 2012-10-26 13:07:51
slave: talos-r3-xp-039

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/counters/t1204-reset-00-c-o-test.html | image comparison (==), max difference: 255, number of differing pixels: 101
Comment 4 Nathan Froyd [:froydnj] 2012-10-27 17:03:18 PDT
Created attachment 675906 [details] [diff] [review]
patch

As discussed on IRC, this test should be using reftest-wait
Comment 5 Daniel Holbert [:dholbert] 2012-10-27 17:48:18 PDT
Comment on attachment 675906 [details] [diff] [review]
patch

># HG changeset patch
># User Nathan Froyd <froydnj@gmail.com>
>
>fix layout/reftests/counters/t1204-reset-00-c-o-test.html intermittent orange by using MozReftestInvalidate

As in bug 778695, commit message should mention reftest-wait.

(Also, if you like, you don't need to include the full path to the test in the commit message -- just the filename is probably fine.  It's almost certainly unique, and even if it weren't, the actual file-path info is included in the cset itself, so people can find it there if they care.  Doesn't really matter though; feel free to keep the path if you like.)
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-10-28 14:03:24 PDT
https://hg.mozilla.org/mozilla-central/rev/7e1b636e80e3

Note You need to log in before you can comment on or make changes to this bug.